USE /*DBNAME*/`aspera_stats_collector`/*DBNAME*/;

ALTER TABLE `fasp_sessions` DROP PRIMARY KEY;
ALTER TABLE `fasp_sessions` CHANGE COLUMN `id` `session_id` varbinary(127)  NOT NULL;
ALTER TABLE `fasp_sessions` ADD COLUMN `id` bigint NOT NULL AUTO_INCREMENT PRIMARY KEY FIRST;
ALTER TABLE `fasp_sessions` ADD UNIQUE KEY `idx_session_id` (`session_id`);

ALTER TABLE `fasp_transfers` DROP PRIMARY KEY;
ALTER TABLE `fasp_transfers` CHANGE COLUMN `id` `transfer_id` varbinary(127)  NOT NULL;
ALTER TABLE `fasp_transfers` ADD COLUMN `id` bigint NOT NULL AUTO_INCREMENT PRIMARY KEY FIRST;
ALTER TABLE `fasp_transfers` ADD COLUMN `server_docroot` text;
ALTER TABLE `fasp_transfers` ADD UNIQUE KEY `idx_transfer_id` (`transfer_id`);

ALTER TABLE `fasp_nodes` MODIFY COLUMN `node_status` enum('ACTIVE','ERROR','DISABLED') DEFAULT 'ACTIVE';

CREATE TABLE `configuration` (
  `id`                  bigint          NOT NULL auto_increment,
  `name`                varchar(128)    NOT NULL,
  `value`               text            NOT NULL,
  PRIMARY KEY  (`id`),
  UNIQUE KEY `idx_name` (`name`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8; 



